Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2189098 - dropbox-api-command-2.13-11.fc39 FTBFS: File not found: /home/test/rpmbuild/BUILDROOT/dropbox-api-command-2.13-11.fc39.x86_64/usr/share/man/man1/*.1*
Summary: dropbox-api-command-2.13-11.fc39 FTBFS: File not found: /home/test/rpmbuild/B...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dropbox-api-command
Version: 39
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-04-24 08:03 UTC by Petr Pisar
Modified: 2023-12-27 01:47 UTC (History)
2 users (show)

Fixed In Version: dropbox-api-command-2.13-13.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-26 15:45:11 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2023-04-24 08:03:00 UTC
dropbox-api-command-2.13-11.fc39 fails to build in Fedora 39:

Processing files: dropbox-api-command-2.13-11.fc39.noarch
error: File not found: /home/test/rpmbuild/BUILDROOT/dropbox-api-command-2.13-11.fc39.x86_64/usr/share/man/man1/*.1*
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.gWsKBg
+ umask 022
+ cd /home/test/fedora/dropbox-api-command
+ cd dropbox-api-command-2.13
+ DOCDIR=/home/test/rpmbuild/BUILDROOT/dropbox-api-command-2.13-11.fc39.x86_64/usr/share/doc/dropbox-api-command
+ export LC_ALL=C
+ LC_ALL=C
+ export DOCDIR
+ /usr/bin/mkdir -p /home/test/rpmbuild/BUILDROOT/dropbox-api-command-2.13-11.fc39.x86_64/usr/share/doc/dropbox-api-command
+ cp -pr Changes /home/test/rpmbuild/BUILDROOT/dropbox-api-command-2.13-11.fc39.x86_64/usr/share/doc/dropbox-api-command
+ cp -pr README.md /home/test/rpmbuild/BUILDROOT/dropbox-api-command-2.13-11.fc39.x86_64/usr/share/doc/dropbox-api-command
+ RPM_EC=0
++ jobs -p
+ exit 0
Executing(%license): /bin/sh -e /var/tmp/rpm-tmp.MDeuqJ
+ umask 022
+ cd /home/test/fedora/dropbox-api-command
+ cd dropbox-api-command-2.13
+ LICENSEDIR=/home/test/rpmbuild/BUILDROOT/dropbox-api-command-2.13-11.fc39.x86_64/usr/share/licenses/dropbox-api-command
+ export LC_ALL=C
+ LC_ALL=C
+ export LICENSEDIR
+ /usr/bin/mkdir -p /home/test/rpmbuild/BUILDROOT/dropbox-api-command-2.13-11.fc39.x86_64/usr/share/licenses/dropbox-api-command
+ cp -pr LICENSE /home/test/rpmbuild/BUILDROOT/dropbox-api-command-2.13-11.fc39.x86_64/usr/share/licenses/dropbox-api-command
+ RPM_EC=0
++ jobs -p
+ exit 0

RPM build warnings:
    Macro expanded in comment on line 2: (c=%{commit}; echo ${c:0:7})

    Macro expanded in comment on line 2: (c=%{commit}; echo ${c:0:7})


RPM build errors:
    File not found: /home/test/rpmbuild/BUILDROOT/dropbox-api-command-2.13-11.fc39.x86_64/usr/share/man/man1/*.1*


A difference between passing and failing build roots is at <https://koschei.fedoraproject.org/build/15311444>, An upgrade of perl-Module-Build-Tiny from 0.039-25.fc38 to 0.041-1.fc39 looks suspicious.

Reproducible: Always

Comment 1 Petr Pisar 2023-04-24 08:07:16 UTC
From Module-Build-Tiny changelog:

0.040     2023-02-05 23:06:28+01:00 Europe/Amsterdam (TRIAL RELEASE)
          - Manify .pod after .pm
          - Filter out script documentation from scripts
          - Don't manify podless modules/scripts

Comment 2 Fedora Release Engineering 2023-08-16 08:09:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 3 Fedora Release Engineering 2023-12-24 04:22:26 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-06-19).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 4 Fedora Update System 2023-12-26 15:44:37 UTC
FEDORA-2023-ff2ba5ec16 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ff2ba5ec16

Comment 5 Fedora Update System 2023-12-26 15:45:11 UTC
FEDORA-2023-ff2ba5ec16 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.